﻿using ModuleTools.Attributes;
using ModuleTools.Interfaces;
using System;
using System.ComponentModel.DataAnnotations;
using System.Runtime.Serialization;

namespace DatabaseCore.Models.Department
{
	/// <summary>
	/// Класс, описывающий часы нагрузок записей учебных планов кафедры
	/// </summary>
	[DataContract]
	[EntityDescription("AcademicPlanRecordTimeNormHour", "Часы нагрузки записи учебного плана")]
	[EntityDependency("AcademicPlanRecord", "AcademicPlanRecordId", "Запись учебного плана, к которой относятся часы")]
	[EntityDependency("TimeNorm", "TimeNormId", "Норма времени, к которой относятся часы")]
	public class AcademicPlanRecordTimeNormHour : BaseEntity, IEntitySecurityExtenstion<AcademicPlanRecordTimeNormHour>
	{
		[DataMember]
		[Required(ErrorMessage = "required")]
		[MapConfiguration("AcademicPlanRecordId")]
		public Guid AcademicPlanRecordId { get; set; }

		[DataMember]
		[Required(ErrorMessage = "required")]
		[MapConfiguration("TimeNormId")]
		public Guid TimeNormId { get; set; }

		[DataMember]
		[Required(ErrorMessage = "required")]
		[MapConfiguration("PlanHours")]
		public decimal PlanHours { get; set; }

		//-------------------------------------------------------------------------

		public virtual AcademicPlanRecord AcademicPlanRecord { get; set; }

		public virtual TimeNorm TimeNorm { get; set; }

		//-------------------------------------------------------------------------

		//-------------------------------------------------------------------------

		public AcademicPlanRecordTimeNormHour SecurityCheck(AcademicPlanRecordTimeNormHour entity, bool allowFullData) => entity;
	}
}