﻿using ModuleTools.Attributes;
using ModuleTools.Interfaces;
using System;
using System.Runtime.Serialization;

namespace DatabaseCore.Models.Department
{
	/// <summary>
	/// Класс, описывающий связь сотрудника и должность кафедры
	/// </summary>
	[DataContract]
	[EntityDescription("EmployeeEmployeePost", "Связь сотрудника и должность кафедры")]
	[EntityDependency("Post", "PostId", "К какой должности относится сотрудник")]
	[EntityDependency("Employee", "EmployeeId", "К какой должности относится сотрудник")]
	public class EmployeePost : BaseEntity, IEntitySecurityExtenstion<EmployeePost>
	{
		[DataMember]
		[MapConfiguration("EmployeeId")]
		public Guid EmployeeId { get; set; }

		[DataMember]
		[MapConfiguration("PostId")]
		public Guid PostId { get; set; }

		[DataMember]
		[MapConfiguration("Rate")]
		public decimal Rate { get; set; }

		[DataMember]
		[MapConfiguration("IsInternalCombination")]
		public bool IsInternalCombination { get; set; }

		[DataMember]
		[MapConfiguration("IsExternalCombination")]
		public bool IsExternalCombination { get; set; }

		//-------------------------------------------------------------------------

		public virtual Post Post { get; set; }

		public virtual Employee Employee { get; set; }

		//-------------------------------------------------------------------------

		//-------------------------------------------------------------------------

		public EmployeePost SecurityCheck(EmployeePost entity, bool allowFullData) => entity;
	}
}
