﻿using ModuleTools.Attributes;
using ModuleTools.Interfaces;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Runtime.Serialization;

namespace DatabaseCore.Models.Department
{
	/// <summary>
	/// Класс, описывающий ученой степени преподавателя кафедры
	/// </summary>
	[DataContract]
	[EntityDescription("LecturerAcademicDegree", "Ученой степени преподавателя кафедры")]
	public class LecturerAcademicDegree : BaseEntity, IEntitySecurityExtenstion<LecturerAcademicDegree>
	{
		[DataMember]
		[Required]
		[MapConfiguration("LecturerAcademicDegreeName")]
		public string LecturerAcademicDegreeName { get; set; }

		[DataMember]
		[MapConfiguration("Description")]
		public string Description { get; set; }

		[DataMember]
		[MapConfiguration("Order")]
		public int Order { get; set; }

		//-------------------------------------------------------------------------

		//-------------------------------------------------------------------------

		[ForeignKey("LecturerAcademicDegreeId")]
		public virtual List<Lecturer> Lecturers { get; set; }

		//-------------------------------------------------------------------------

		public LecturerAcademicDegree SecurityCheck(LecturerAcademicDegree entity, bool allowFullData) => entity;
	}
}