﻿using DepartmentBusinessLogic.Enums;
using ModuleTools.Attributes;
using ModuleTools.BindingModels;
using System;
using System.ComponentModel.DataAnnotations;

namespace DepartmentBusinessLogic.BindingModels
{
	/// <summary>
	/// Получение направления обучения
	/// </summary>
	public class EducationDirectionGetBindingModel : GetBindingModel
    {
        /// <summary>
        /// Вывод направлений, закрепленных за преподавателем
        /// </summary>
        public Guid? LecturerId { get; set; }
    }

    /// <summary>
    /// Сохранение направления обучения
    /// </summary>
    public class EducationDirectionSetBindingModel : SetBindingModel
    {
        [Required(ErrorMessage = "required")]
        [MapConfiguration("Cipher")]
        public string Cipher { get; set; }

        [Required(ErrorMessage = "required")]
        [MapConfiguration("ShortName")]
        public string ShortName { get; set; }

        [Required(ErrorMessage = "required")]
        [MapConfiguration("Title")]
        public string Title { get; set; }

        [MapConfiguration("Profile")]
        public string Profile { get; set; }

        [Required(ErrorMessage = "required")]
        [MapConfiguration("Qualification")]
        public EducationDirectionQualification Qualification { get; set; }

        [Required(ErrorMessage = "required")]
        [MapConfiguration("LecturerId")]
        public Guid LecturerId { get; set; }

        [MapConfiguration("Description")]
        public string Description { get; set; }
    }
}