﻿using ModuleTools.Attributes;
using ModuleTools.BindingModels;
using System.ComponentModel.DataAnnotations;

namespace DepartmentBusinessLogic.BindingModels
{
    /// <summary>
    /// Получение должности сотрудника
    /// </summary>
	public class PostGetBindingModel : GetBindingModel
    {
    }

    /// <summary>
    /// Сохранение должности сотрудника
    /// </summary>
    public class PostSetBindingModel : SetBindingModel
    {
        [Required(ErrorMessage = "required")]
        [MapConfiguration("PostName")]
        public string PostName { get; set; }

        [Required(ErrorMessage = "required")]
        [MapConfiguration("Hours")]
        public int? Hours { get; set; }

        [Required(ErrorMessage = "required")]
        [MapConfiguration("Order")]
        public int Order { get; set; }
    }
}