﻿using DatabaseCore.Models.Department;
using DepartmentBusinessLogic.BindingModels;
using DepartmentBusinessLogic.Enums;
using System;
using System.Collections.Generic;
using System.Xml;

namespace DepartmentDatabaseImplementation.Models
{
	/// <summary>
	/// Данные для разбора plx-файла с планом
	/// </summary>
	public class ParsPlxModel
    {
        public Guid AcademicPlanId { get; set; }

        public XmlNode Node { get; set; }

        public List<(string TypeName, string Code)> DisicplineTypes { get; set; }

        public List<BlueAsteriskBlockType> BlockTypes { get; set; }

        public List<(string Code, DisciplineBlock Entity)> DisciplineBlocks { get; set; }

        public (string Code, string Practic, Discipline Entity) Discipline { get; set; }

        public List<(string Code, string Practic, Discipline Entity)> Disciplines { get; set; }

        public List<(string Code, TimeNorm Entity)> TimeNorms { get; set; }

        public List<(string Code, TimeNorm Entity)> Practics { get; set; }

        public List<(string DisciplineCode, string TimeNormCode, Semester Semester, TimeNorm Entity, Dictionary<string, decimal> Hours)> Hours { get; set; }
    }
}