﻿using DepartmentBusinessLogic.BindingModels;
using DepartmentBusinessLogic.BusinessLogics;
using DepartmentBusinessLogic.ViewModels;
using DesktopTools.Controls;
using DesktopTools.Enums;
using DesktopTools.Interfaces;
using DesktopTools.Models;
using ModuleTools.Enums;
using System;
using System.Collections.Generic;

namespace DepartmentWindowsDesktop.EntityControls
{
	/// <summary>
	/// Реализация контрола для списка блоков дисциплин
	/// </summary>
	public partial class ControlDisciplineBlockList :
		GenericControlEntityList<DisciplineBlockGetBindingModel, DisciplineBlockSetBindingModel, DisciplineBlockListViewModel, DisciplineBlockViewModel, DisciplineBlockBusinessLogic>,
		IGenericControlEntityList
	{
		public ControlDisciplineBlockList()
		{
			InitializeComponent();
			Title = "Блоки дисциплин";
			ControlId = new Guid("1c115bda-fa08-4127-ac4b-daba79d65628");
			AccessOperation = AccessOperation.Дисциплины;
			ControlViewEntityElement = new ControlDisciplineBlockElement();
			_genericControlViewEntityList = this;
		}

		public IControl GetInstanceGenericControl() => new ControlDisciplineBlockList() { ControlId = Guid.NewGuid() };

		public ControlViewEntityListConfiguration GetConfigControl() => new()
		{
			PaginationOn = false,
			HideToolStripButton = new List<ToolStripButtonListNames>
			{
				ToolStripButtonListNames.toolStripButtonSearch
			}
		};
	}
}