﻿using DepartmentBusinessLogic.BindingModels;
using DepartmentBusinessLogic.BusinessLogics;
using DepartmentBusinessLogic.ViewModels;
using DesktopTools.Controls;
using DesktopTools.Enums;
using DesktopTools.Interfaces;
using DesktopTools.Models;
using ModuleTools.Enums;
using System;
using System.Collections.Generic;

namespace DepartmentWindowsDesktop.EntityControls
{
	/// <summary>
	/// Реализация контрола для списка ученых степеней
	/// </summary>
	public partial class ControlLecturerAcademicDegreeList :
		GenericControlEntityList<LecturerAcademicDegreeGetBindingModel, LecturerAcademicDegreeSetBindingModel, LecturerAcademicDegreeListViewModel, LecturerAcademicDegreeViewModel, LecturerAcademicDegreeBusinessLogic>,
		IGenericControlEntityList
	{
		public ControlLecturerAcademicDegreeList()
		{
			InitializeComponent();
			Title = "Ученые степени преподавателей";
			ControlId = new Guid("04ba84fd-d53e-4c8b-bd3c-8f65a30c5f24");
			AccessOperation = AccessOperation.Преподаватели;
			ControlViewEntityElement = new ControlLecturerAcademicDegreeElement();
			_genericControlViewEntityList = this;
		}

		public IControl GetInstanceGenericControl() => new ControlLecturerAcademicDegreeList() { ControlId = Guid.NewGuid() };

		public ControlViewEntityListConfiguration GetConfigControl() => new()
		{
			PaginationOn = false,
			HideToolStripButton = new List<ToolStripButtonListNames>
			{
				ToolStripButtonListNames.toolStripButtonSearch
			}
		};
	}
}