﻿using ModuleTools.Attributes;
using ModuleTools.BindingModels;
using ModuleTools.Enums;
using System;
using System.ComponentModel.DataAnnotations;

namespace SecurityBusinessLogic.BindingModels
{
	/// <summary>
	/// Получение информации по доступу
	/// </summary>
	public class AccessGetBindingModel : GetBindingModel
	{
		/// <summary>
		/// Для вывода списка доступов по роли в контроле десктопном
		/// </summary>
		public Guid? RoleId { get; set; }
	}

	/// <summary>
	/// Сохранение информации по доступу
	/// </summary>
	public class AccessSetBindingModel : SetBindingModel
	{
		[MapConfiguration("RoleId")]
		public Guid RoleId { get; set; }

		[Required(ErrorMessage = "required")]
		[MapConfiguration("AccessOperation")]
		public AccessOperation AccessOperation { get; set; }

		[MapConfiguration("AccessType")]
		public AccessType AccessType { get; set; }
	}
}