﻿using ModuleTools.Attributes;
using ModuleTools.BindingModels;
using System.ComponentModel.DataAnnotations;

namespace SecurityBusinessLogic.BindingModels
{
	/// <summary>
	/// Получение общих настроек системы
	/// </summary>
	public class EnviromentSettingGetBindingModel : GetBindingModel
	{
		public string Key { get; set; }
	}

	/// <summary>
	/// Сохранение общих настроек системы
	/// </summary>
	public class EnviromentSettingSetBindingModel : SetBindingModel
	{
		[Required(ErrorMessage = "required")]
		[MapConfiguration("Key")]
		public string Key { get; set; }

		[Required(ErrorMessage = "required")]
		[MapConfiguration("Value")]
		public string Value { get; set; }

		[Required(ErrorMessage = "required")]
		[MapConfiguration("Description")]
		public string Description { get; set; }
	}
}